import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:woof_common_plugin/woof_common_plugin_method_channel.dart';

void main() {
  MethodChannelWoofCommonPlugin platform = MethodChannelWoofCommonPlugin();
  const MethodChannel channel = MethodChannel('woof_common_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await platform.getPlatformVersion(), '42');
  });
}
